Subject: Re: bug#18738: Reference of a uninitialized variable in grep -P

From: Paul Eggert <[email-masked]>
Date: Wed, 15 Oct 2014 21:42:36 -0700

Norihiro Tanaka wrote:

> BTW, validation_boundary isn't initialized before pre-searching for an
> empty line

Oh, so *that's* the uninitialized variable you were referring to!  Sorry, I 
didn't know.  Yes, it should be initialized; it's not portable to assume that 
NULL < valid pointers.  I installed your patch.

This whole area should be cleaned up, I think, but not just before a release.